Subject: bug#27919: 25.2.50; dired + eshell-ls: fallback to external ls fails

From: Tino Calancha <[email-masked]>
Date: Fri, 4 Aug 2017 17:34:35 +0900 (JST)

On Thu, 3 Aug 2017, John Wiegley wrote:

>>>>>> Glenn Morris <[email-masked]> writes:
>
>> Why is it desirable to use eshell ls with dired instead of ls-lisp? Maybe it
>> would be better to remove it rather than fix it. (It usually goes well when
>> I suggest this...)
>
> I like it more than ls-lisp, and it pays attention to all the same options you
> can use to configure eshell/ls at the Eshell command-line.  If anything, why
> not get rid of ls-lisp?
I think 'The battle of emulated ls with elisp' is about to start.  I read
about in a Tolkien book; don't remember who won, though.